#-------------------------------------------------------------------------------
# Copyright 2008-2012 Istituto Nazionale di Fisica Nucleare (INFN)
#
# Licensed under the EUPL, Version 1.1 only (the "Licence").
# You may not use this work except in compliance with the Licence.
# You may obtain a copy of the Licence at:
#
# http://joinup.ec.europa.eu/system/files/EN/EUPL%20v.1.1%20-%20Licence.pdf
#
# Unless required by applicable law or agreed to in
# writing, software distributed under the Licence is
# distributed on an "AS IS" basis,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
# either express or implied.
# See the Licence for the specific language governing
# permissions and limitations under the Licence.
#-------------------------------------------------------------------------------

%(!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print (get_python_lib())"))
%define os sl6

Name:    wnodes_site_specific
Version: 2.0.0
Release: 3.sl6
Vendor:  INFN CNAF
License: EUPL
URL:     http://web.infn.it/wnodes/
Group: Library
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/build-root-%{name}-%{version}
BuildArch: noarch
Distribution: any
Packager: elisabetta ronchieri elisabetta.ronchieri@cnaf.infn.it
Summary: INFN CNAF WNODES SITE SPECIFIC

BuildRequires: automake
BuildRequires: python
Requires: python
Requires: net-tools

%description
It contains utils of WNODES.

%prep
echo Building %{name}-%{version}

%setup -q -n %{name}-%{version}

%build
/bin/sh auto.sh
./configure --prefix=/usr --datadir=/usr/share --bindir=/usr/bin/ --sysconfdir=/etc
make

%install
rm -rf $RPM_BUILD_ROOT/
make DESTDIR=$RPM_BUILD_ROOT install
mv $RPM_BUILD_ROOT/%{_bindir}/wnodes/site_specific/wnodes_postexec.py $RPM_BUILD_ROOT/%{_bindir}/wnodes/site_specific/wnodes_postexec
mv $RPM_BUILD_ROOT/%{_bindir}/wnodes/site_specific/wnodes_preexec.py $RPM_BUILD_ROOT/%{_bindir}/wnodes/site_specific/wnodes_preexec

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, 0755)
%dir %{_sysconfdir}/wnodes/
%dir %{_sysconfdir}/wnodes/site_specific
%config(noreplace) %{_sysconfdir}/wnodes/site_specific/wnodes_preexec.conf.tpl

%dir %{_bindir}/wnodes/
%dir %{_bindir}/wnodes/site_specific
%{_bindir}/wnodes/site_specific/wnodes_postexec
%{_bindir}/wnodes/site_specific/wnodes_preexec

%doc %dir %{_datadir}/doc/%{name}-%{version}
%doc %{_datadir}/doc/%{name}-%{version}/CREDITS
%doc %{_datadir}/doc/%{name}-%{version}/LICENSE
%doc %{_datadir}/doc/%{name}-%{version}/LICENSE-en.pdf
%doc %{_datadir}/doc/%{name}-%{version}/LICENSE-it.pdf
%doc %{_datadir}/doc/%{name}-%{version}/README

%changelog
* Mon Apr 2 2012 Elisabetta Roncheiri
- Added a tpl file

* Thu May 12 2011 Elisabetta Roncheiri
- Changed the managing of spec file
- Changed spec settings for LICENSE, Group

* Wed Mar 10 2010 Elisabetta Roncheiri 
- Changed the managing of spec file
